Uploaded image for project: 'Qt Quality Assurance Infrastructure'
  1. Qt Quality Assurance Infrastructure
  2. QTQAINFRA-2313

Influxdb log recursion crashes all python processes

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: P1: Critical
    • Resolution: Done
    • Affects Version/s: production
    • Fix Version/s: None
    • Component/s: Coin (obsolete)
    • Labels:
      None

      Description

       

      2018-10-29 03:24:17,511 ERROR:workitem(7475): Houston? Houston!
      ESC[31mTraceback (most recent call last):
        File "/home/vmbuilder/qt-ci/env/lib/python3.6/site-packages/thriftpy/transport/socket.py", line 74, in open
          raise e
        File "/home/vmbuilder/qt-ci/env/lib/python3.6/site-packages/thriftpy/transport/socket.py", line 69, in open
          self.handle.connect(res[4])
      OSError: [Errno 113] No route to hostDuring handling of the above exception, another exception occurred:Traceback (most recent call last):
        File "/home/vmbuilder/qt-ci/src/application.py", line 625, in __aenter__
          return context.__enter__(*args, **keys)
        File "/usr/lib/python3.6/contextlib.py", line 81, in __enter__
          return next(self.gen)
        File "/home/vmbuilder/qt-ci/env/lib/python3.6/site-packages/thriftpy/rpc.py", line 74, in client_context
          transport.open()
        File "/home/vmbuilder/qt-ci/env/lib/python3.6/site-packages/thriftpy/transport/transport.py", line 113, in open
          return self.__trans.open()
        File "/home/vmbuilder/qt-ci/env/lib/python3.6/site-packages/thriftpy/transport/socket.py", line 82, in open
          message=message)
      thriftpy.transport.transport.TTransportException: TTransportException(type=1, message='Could not connect to 10.215.120.172:49796')During handling of the above exception, another exception occurred:Traceback (most recent call last):
        File "/home/vmbuilder/qt-ci/src/workitem.py", line 278, in _run
          await self.run()
        File "/home/vmbuilder/qt-ci/src/workitem.py", line 838, in run
          await self._build()
        File "/home/vmbuilder/qt-ci/src/workitem.py", line 536, in _build
          async with application.connectToAgent(agent.address) as agentRpcClient:
        File "/home/vmbuilder/qt-ci/src/application.py", line 628, in __aenter__
          log.exception("Connection to an agent failed")
        File "/usr/lib/python3.6/logging/__init__.py", line 1341, in exception
          self.error(msg, *args, exc_info=exc_info, **kwargs)
        File "/usr/lib/python3.6/logging/__init__.py", line 1335, in error
          self._log(ERROR, msg, args, **kwargs)
        File "/usr/lib/python3.6/logging/__init__.py", line 1442, in _log
          self.handle(record)
        File "/usr/lib/python3.6/logging/__init__.py", line 1452, in handle
          self.callHandlers(record)
        File "/usr/lib/python3.6/logging/__init__.py", line 1514, in callHandlers
          hdlr.handle(record)
        File "/usr/lib/python3.6/logging/__init__.py", line 863, in handle
          self.emit(record)
        File "/home/vmbuilder/qt-ci/src/application.py", line 204, in emit
          self.client.write_points([state, ])
        File "/home/vmbuilder/qt-ci/env/lib/python3.6/site-packages/influxdb/client.py", line 468, in write_points
          tags=tags, protocol=protocol)
        File "/home/vmbuilder/qt-ci/env/lib/python3.6/site-packages/influxdb/client.py", line 532, in _write_points
          protocol=protocol
        File "/home/vmbuilder/qt-ci/env/lib/python3.6/site-packages/influxdb/client.py", line 312, in write
          headers=headers
        File "/home/vmbuilder/qt-ci/env/lib/python3.6/site-packages/influxdb/client.py", line 267, in request
          raise InfluxDBServerError(response.content)
      influxdb.exceptions.InfluxDBServerError: b'<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML 2.0//EN">\n<html><head>\n<title>503 Service Unavailable</title>\n</head><body>\n<h1>Service Unavailable</h1>\n<p>The server is temporarily unable to service your\nrequest due to maintenance downtime or capacity\nproblems. Please try again later.</p>\n</body></html>\n'ESC[0m
      

        Attachments

        No reviews matched the request. Check your Options in the drop-down menu of this sections header.

          Activity

            People

            • Assignee:
              aakeskimo Aapo Keskimölö
              Reporter:
              aakeskimo Aapo Keskimölö
            • Votes:
              0 Vote for this issue
              Watchers:
              4 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:

                Gerrit Reviews

                There are no open Gerrit changes